[PH, RU, etc.] Unsupported client information

Runes of Magic/Radiant Arcana (http://www.runesofmagic.com)

Moderators: lisa, rock5

Message
Author
User avatar
Administrator
Site Admin
Posts: 4861
Joined: Sat Jan 05, 2008 4:21 pm

[PH, RU, etc.] Unsupported client information

#1 Post by Administrator » Sat Mar 06, 2010 12:32 am

If you're not playing on the NA or DE servers, chances are that your client is unsupported. If you're playing with an unsupported client on the PH or RU servers, you may experience problems with version compatibility.

If your version doesn't match your client exactly, you can expect any number of problems to occur. The bot will typically exit with an error shortly after trying to start it with a notice similar to one of these:
  • * Unable to load profile <Unknown>.xml
    Failed to read memory
    Unable to find player address
This is due to the memory addresses being invalid for your version. It is really quite impossible for us to provide back-compatibility with many of the changes RoM experiences.

There is, however, a solution. First, install Tortoise SVN. Now, go to the micromacro/scripts directory and make a new folder (you can name it 'rom' if you like). Right click on this new folder, and select SVN Checkout.

Change URL of repository: http://rom-bot.googlecode.com/svn/trunk/rom
Select Revision, and type in the revision you want. It should look like this:
rom_revision_selection.JPG
Now, click OK, and it should download that revision. So, what revision do you need? Well, that's up to you to find out. Start by checking RoM Bot updates and RoM Bot Downloads.

You'll see something like: RoM bot 3.19 (r418) - Game version 2049
If your game client version is older than 2049, then that means you need to use a revision earlier than 418. Not all client versions will be listed. It's up to you to guess and check. For example, if you have client version 2010, try using revision 410 (between r418[2049] and r403[1961]).

You can try switching your revision at any time by selecting Tortoise SVN -> Update to Revision. Do this instead of making new folders all the time. Keep guessing and checking till you find what works for you.

After you check each revision as-is, try running rom/update.lua and try again before moving on to the next revision.

I hope this helps.

Lavender14
Posts: 5
Joined: Thu Feb 25, 2010 6:18 am

Re: [PH, RU, etc.] Unsupported client information

#2 Post by Lavender14 » Fri Mar 19, 2010 8:57 am

juz askin is that a typo?
You'll see something like: RoM bot 3.19 (r418) - Game version 2049
If your game client version is older than 2049, then that means you need to use a revision earlier than 418. Not all client versions will be listed. It's up to you to guess and check. For example, if you have client version 2010, try using revision 410 (between r418[2049] and r403[1961]).

is that earlier or later?
juz wanna clarify
the game version is 2075 does that mean i have to input 475 but it only goes on to 427 v.2069.
does this mean im screwed?
sorry mr admin sir. juz so noob when it comes to these things. and updating at an early version e.g. 414 the addresses.lua appears with a (!) conflict. this appears at micromacro scripts/rom2/update.lua:... unexpected symbol near'<'

User avatar
Administrator
Site Admin
Posts: 4861
Joined: Sat Jan 05, 2008 4:21 pm

Re: [PH, RU, etc.] Unsupported client information

#3 Post by Administrator » Fri Mar 19, 2010 9:26 am

Earlier. The game version and bot revision numbers have nothing in common other than the fact that they are both increasing.

It's strange, though, that you have game version 2075, yet don't have any of the stuff that's been added to the game within the last year. I'm guessing that r427 (or higher) didn't work, so try going back a few revisions to the 400-426 range and see what happens. In another post on this forum, someone mentioned that r418 is working for PH2075.

Lavender14
Posts: 5
Joined: Thu Feb 25, 2010 6:18 am

Re: [PH, RU, etc.] Unsupported client information

#4 Post by Lavender14 » Fri Mar 19, 2010 11:31 am

nice 418 works fine for PH2075. About the addresses thing mah bad kept making copies ended up with 8 of them thanks administrator

bluesh
Posts: 2
Joined: Mon Mar 22, 2010 6:46 am

Re: [PH, RU, etc.] Unsupported client information

#5 Post by bluesh » Mon Mar 22, 2010 6:49 am

hello, i am using version 2051 anyone has an idea which revision i have to use ? Because i always got error pawn.lua Error reading memory...
by the way im using turkish client..

bluesh
Posts: 2
Joined: Mon Mar 22, 2010 6:46 am

Re: [PH, RU, etc.] Unsupported client information

#6 Post by bluesh » Tue Mar 23, 2010 10:14 am

no answer in 2 days ?

User avatar
Administrator
Site Admin
Posts: 4861
Joined: Sat Jan 05, 2008 4:21 pm

Re: [PH, RU, etc.] Unsupported client information

#7 Post by Administrator » Tue Mar 23, 2010 1:40 pm

Your answer is in the original post: guess.

runesofmight
Posts: 1
Joined: Sat May 01, 2010 7:52 am

Re: [PH, RU, etc.] Unsupported client information

#8 Post by runesofmight » Sat May 01, 2010 7:58 am

ok what about runes of magic middle east version ?
http://rom.tahadi.com/

there two version English and Arabic in this server

bot not working he give me macro error i press Default setting but no luck is there way can fix this?

thanks

NateLawliet
Posts: 13
Joined: Sat Jan 16, 2010 5:21 am

Re: [PH, RU, etc.] Unsupported client information

#9 Post by NateLawliet » Mon Jun 28, 2010 8:58 pm

can someone tell me what to use for PH client ver. 3.0.0.2171

joti32
Posts: 4
Joined: Wed Jul 14, 2010 10:22 pm

Re: [PH, RU, etc.] Unsupported client information

#10 Post by joti32 » Wed Jul 14, 2010 10:26 pm

hi im using rom ph i was able to make may character move but it doesnt atack any mobs it just keep on moving with its way point plss help me

whome12
Posts: 5
Joined: Sun Aug 01, 2010 5:46 am

Re: [PH, RU, etc.] Unsupported client information

#11 Post by whome12 » Sun Aug 01, 2010 6:12 am

what's the rev for ph client?

Got an error : The communication to the game with the MACRO function seems not to work.

iceboxx
Posts: 1
Joined: Tue Sep 21, 2010 1:10 pm

Re: [PH, RU, etc.] Unsupported client information

#12 Post by iceboxx » Tue Sep 21, 2010 1:12 pm

mga tanga botter.... asa na lang kyo sa bot.. mahiya nman.. XD wag na mg bot ang mga gung gung

harbifm
Posts: 135
Joined: Wed May 25, 2011 11:43 pm

Re: [PH, RU, etc.] Unsupported client information

#13 Post by harbifm » Thu May 26, 2011 12:18 am

I was able install MicroMacir, and dowload and put RomBOt folder in the scrpti folder, creat the needed micro, So I am 100% i followd these steps,

I runing on the Middl easte clinet, thus the game is little differect in name, even that the language inside is english(or arabic if want want) you can change language via setting option

the name of the game is (programs/Tahadi/Asteeralquah)
the short cut or the exe that rune the game is aslo named that way (Asteeralquah.exe), NOT ROM or runesofmagic.exe

Thus, I am sure that this the source of my problem , but I do not know how to edit the script to make it work.

The first error I am getting is line 41 of (function.axl), which state an error,do not remeber it right now if some is familier with the coding of RomBot, please drope me a massege

User avatar
lisa
Posts: 8330
Joined: Tue Nov 09, 2010 11:46 pm
Location: Australia

Re: [PH, RU, etc.] Unsupported client information

#14 Post by lisa » Thu May 26, 2011 12:44 am

I'd say you will need to edit rom/settings.xml

Almost at the very bottom you will find

Code: Select all

		<option name="ROMDATA_PATH" value="" />
At a guess you will need to change it to something like this

Code: Select all

		<option name="ROMDATA_PATH" value="c:/programs/Tahadi/Asteeralquah" />
Not sure if there will need to be any other changes made, it is possible you might need to use a specific revision of rombot depending on the runes of magic version but changing that line in settings.xml is a good place to start.
Remember no matter you do in life to always have a little fun while you are at it ;)

wiki here http://www.solarstrike.net/wiki/index.php?title=Manual

harbifm
Posts: 135
Joined: Wed May 25, 2011 11:43 pm

Re: [PH, RU, etc.] Unsupported client information

#15 Post by harbifm » Thu May 26, 2011 4:08 am

I have version 3.04

what the best RomBot file/revision that I should use?

User avatar
rock5
Posts: 12173
Joined: Tue Jan 05, 2010 3:30 am
Location: Australia

Re: [PH, RU, etc.] Unsupported client information

#16 Post by rock5 » Thu May 26, 2011 5:53 am

Don't know. Read the first post.
  • Please consider making a small donation to me to support my continued contributions to the bot and this forum. Thank you. Donate
  • I check all posts before reading PMs. So if you want a fast reply, don't PM me but post a topic instead. PM me for private or personal topics only.
  • How to: copy and paste in micromacro
    ________________________
    Quote:
    • “They say hard work never hurt anybody, but I figure, why take the chance.”
          • Ronald Reagan

harbifm
Posts: 135
Joined: Wed May 25, 2011 11:43 pm

Re: [PH, RU, etc.] Unsupported client information

#17 Post by harbifm » Thu May 26, 2011 6:03 am

I will do it today, and give you feedback tomorrow

thanks for the assistance

User avatar
lisa
Posts: 8330
Joined: Tue Nov 09, 2010 11:46 pm
Location: Australia

Re: [PH, RU, etc.] Unsupported client information

#18 Post by lisa » Thu May 26, 2011 6:11 am

I'd prob start with rom-bot rev 496.

3.0.4 is very old RoM, is it a private server?
Remember no matter you do in life to always have a little fun while you are at it ;)

wiki here http://www.solarstrike.net/wiki/index.php?title=Manual

harbifm
Posts: 135
Joined: Wed May 25, 2011 11:43 pm

Re: [PH, RU, etc.] Unsupported client information

#19 Post by harbifm » Thu May 26, 2011 9:39 am

it is a middl easter version, out limit is still 55


I have change it, as you said ( the sitting file), still have the same problem

check attached photo
Attachments
rombot error1.JPG

User avatar
lisa
Posts: 8330
Joined: Tue Nov 09, 2010 11:46 pm
Location: Australia

Re: [PH, RU, etc.] Unsupported client information

#20 Post by lisa » Thu May 26, 2011 10:34 am

the lvl cap was raised to 58 a year ago, may 2010, so you would be looking at around rev 430 - 439 at a guess.

Looking for a revision that works on an old client is just trial and error. So try 430 and if it doesn't work. try 439, that doesn't work then try 420.
Remember no matter you do in life to always have a little fun while you are at it ;)

wiki here http://www.solarstrike.net/wiki/index.php?title=Manual

Post Reply

Who is online

Users browsing this forum: No registered users and 5 guests